Bug 180464 - [patch] Update astro/py-pyfits to 3.1.2
Summary: [patch] Update astro/py-pyfits to 3.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-11 14:10 UTC by Nathan Whitehorn
Modified: 2013-11-06 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.99 KB, patch)
2013-07-11 14:10 UTC, Nathan Whitehorn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Whitehorn freebsd_committer 2013-07-11 14:10:00 UTC
The current version of pyfits in ports is several years out of date and, among other things, is not compatible with Python 3. This updates to the most recent version.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-07-11 14:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-07-11 14:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-07-11 14:10:09 UTC
Maintainer of astro/py-pyfits,

Please note that PR ports/180464 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180464

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 tonymaher 2013-07-14 10:55:16 UTC
On 07/11/13 23:10, Edwin Groothuis wrote:
> Maintainer of astro/py-pyfits,
> 
> Please note that PR ports/180464 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180464
> 

Patch looks good to me.

thanks
-- 
Tony Maher                    email: tonymaher@optusnet.com.au
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-07-14 14:50:36 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 wenheping 2013-08-06 08:56:41 UTC
Hi,

   The build failed on my box, the build log is as below, would you have a
look of it ?

  Thanks !

wen

building py27-pyfits-3.1.2 in directory /usr/local/tinderbox/10.0-head
build started at Tue Aug  6 07:45:41 UTC 2013
port directory: /usr/ports/astro/py-pyfits
building for:  10.0-CURRENT amd64
maintained by: tonymaher@optusnet.com.au
ident warning: no id keywords in /usr/ports/astro/py-pyfits/Makefile
Makefile ident:
prefixes: LOCALBASE=usr/local PREFIX=/usr/local
Begin Configuration:
---Begin Environment---
INDEXFILE=INDEX-10
ARCH=amd64
PORTOBJFORMAT=elf
PORTBUILD_USE_IPV6=
MD_SIZE=0
X_WINDOW_SYSTEM=xorg
DISTFILE_URI=
.MAKE.LEVEL=1
TIMEOUT=7200
FTP_PASSIVE_MODE=yes
CCACHE_ENABLED=0
MASTER_SITE_OVERRIDE=file:///distcache/${DIST_SUBDIR}/
MAIL=/var/mail/root
OPTIONS_ENABLED=0
MD_FSTYPE=
DISTCACHE=/distcache
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
pb=/usr/local/tinderbox
HTTP_TIMEOUT=900
PACKAGES=/tmp/packages
HAVE_MOTIF=1
LOG_DIRECTORY=/usr/local/tinderbox/logs
PKGSUFFIX=.txz
BATCH=1
OSREL=10.0
__DSVERSION__=4.0.0
CCACHE_DIR=
LOG_COMPRESSLOGS=0
defaultUpdateType=SVN
OLDPWD=/
USA_RESIDENT=YES
DISTFILE_CACHE=/usr/ports/distfiles/
WRKDIRPREFIX=/work
BRANCH=CURRENT
defaultUpdateHost=svn.FreeBSD.org
PWD=/usr/ports/astro/py-pyfits
HOST_WORKDIR=
OPTIONS_DIR=
PKGZIPCMD=bzip2
USER=root
DISTDIR=/tmp/distfiles
HOME=/root
CCACHE_JAIL=0
LOG_DOCOPY=1
CCACHE_MAX_SIZE=1G
UNAME_m=amd64
UNAME_n=tinderbox.host
CCACHE_NOLINK=1
TINDERD_SLEEPTIME=120
FTP_TIMEOUT=900
PARALLEL_PACKAGE_BUILD=1
TINDERD_LOGFILE=/dev/null
UNAME_p=amd64
CCACHE_LOGFILE=
UNAME_r=10.0-CURRENT
LOCALBASE=/usr/local
UNAME_s=FreeBSD
PACKAGE_BUILDING=1
TINDERBOX_BUILDING=1
OSVERSION=1000035
UNAME_v=FreeBSD 10.0-CURRENT #0: Tue Aug  6 15:43:39 CST 2013
root@tinderbox.host:/usr/src/sys/magic/kernel/path
BLOCKSIZE=K
PORTBUILD_USE_IPV4=YES
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

End Configuration.
PKG_DEPENDS=pkg-1.1.4_1.txz
FETCH_DEPENDS=
PATCH_DEPENDS=
EXTRACT_DEPENDS=
BUILD_DEPENDS=lapack-3.4.2.txz blas-3.4.2.txz suitesparse-4.0.2_1.txz
py27-nose-1.3.0.txz python27-2.7.5_1.txz gcc-4.6.3.txz
py27-distribute-0.6.35.txz gettext-0.18.3.txz gmp-5.1.2.txz
mpfr-3.1.2.txz mpc-0.9.txz libiconv-1.14_1.txz binutils-2.23.2.txz
gcc-ecj-4.5.txz py27-numpy-1.7.0_1,1.txz py27-d2to1-0.2.10.txz
RUN_DEPENDS=lapack-3.4.2.txz blas-3.4.2.txz suitesparse-4.0.2_1.txz
py27-nose-1.3.0.txz python27-2.7.5_1.txz gcc-4.6.3.txz
py27-distribute-0.6.35.txz gettext-0.18.3.txz gmp-5.1.2.txz
mpfr-3.1.2.txz mpc-0.9.txz libiconv-1.14_1.txz binutils-2.23.2.txz
gcc-ecj-4.5.txz py27-numpy-1.7.0_1,1.txz py27-d2to1-0.2.10.txz
TEST_DEPENDS=
add_pkg pkg-1.1.4_1.txz
adding dependencies
pkg_add pkg-1.1.4_1.txz
The package management tool is not yet installed on your system.
Do you want to fetch and install it now? [y/N]: Installing pkg-1.1.4_1... done
If you are upgrading from the old package format, first run:

  # pkg2ng
add_pkg
================================================================
====================<phase 1: make checksum>====================
===>   py27-pyfits-3.1.2 depends on file: /usr/local/sbin/pkg - found
=> pyfits-3.1.2.tar.gz doesn't seem to exist in /tmp/distfiles/.
=> Attempting to fetch file:///distcache//pyfits-3.1.2.tar.gz
pyfits-3.1.2.tar.gz                                      0  B    0  Bps
===> Fetching all distfiles required by py27-pyfits-3.1.2 for building
=> SHA256 Checksum OK for pyfits-3.1.2.tar.gz.
================================================================
====================<phase 2: make extract>====================
add_pkg
===>   py27-pyfits-3.1.2 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by py27-pyfits-3.1.2 for building
===>  Extracting for py27-pyfits-3.1.2
=> SHA256 Checksum OK for pyfits-3.1.2.tar.gz.
================================================================
====================<phase 3: make patch>====================
add_pkg
===>  Patching for py27-pyfits-3.1.2
================================================================
====================<phase 4: make build>====================
add_pkg lapack-3.4.2.txz blas-3.4.2.txz suitesparse-4.0.2_1.txz
py27-nose-1.3.0.txz python27-2.7.5_1.txz gcc-4.6.3.txz
py27-distribute-0.6.35.txz gettext-0.18.3.txz gmp-5.1.2.txz
mpfr-3.1.2.txz mpc-0.9.txz libiconv-1.14_1.txz binutils-2.23.2.txz
gcc-ecj-4.5.txz py27-numpy-1.7.0_1,1.txz py27-d2to1-0.2.10.txz
adding dependencies
pkg_add lapack-3.4.2.txz
Installing lapack-3.4.2...Installing mpfr-3.1.2...Installing gmp-5.1.2... done
 done
Installing mpc-0.9... done
Installing blas-3.4.2...Installing gcc-ecj-4.5... done
Installing gcc-4.6.3...Installing gettext-0.18.3...Installing
libiconv-1.14_1... done
 done
Installing binutils-2.23.2... done
 done
 done
 done
pkg_add blas-3.4.2.txz
skipping blas-3.4.2, already added
pkg_add suitesparse-4.0.2_1.txz
Installing suitesparse-4.0.2_1... done
pkg_add py27-nose-1.3.0.txz
Installing py27-nose-1.3.0...Installing python27-2.7.5_1... done
Installing py27-distribute-0.6.35... done
215
238
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
pkg_add python27-2.7.5_1.txz
skipping python27-2.7.5_1, already added
pkg_add gcc-4.6.3.txz
skipping gcc-4.6.3, already added
pkg_add py27-distribute-0.6.35.txz
skipping py27-distribute-0.6.35, already added
pkg_add gettext-0.18.3.txz
skipping gettext-0.18.3, already added
pkg_add gmp-5.1.2.txz
skipping gmp-5.1.2, already added
pkg_add mpfr-3.1.2.txz
skipping mpfr-3.1.2, already added
pkg_add mpc-0.9.txz
skipping mpc-0.9, already added
pkg_add libiconv-1.14_1.txz
skipping libiconv-1.14_1, already added
pkg_add binutils-2.23.2.txz
skipping binutils-2.23.2, already added
pkg_add gcc-ecj-4.5.txz
skipping gcc-ecj-4.5, already added
pkg_add py27-numpy-1.7.0_1,1.txz
Installing py27-numpy-1.7.0_1,1... done
pkg_add py27-d2to1-0.2.10.txz
Installing py27-d2to1-0.2.10...238
263
 done
===>   py27-pyfits-3.1.2 depends on file:
/usr/local/lib/python2.7/site-packages/numpy/core/numeric.py - found
===>   py27-pyfits-3.1.2 depends on package: py27-d2to1>=0 - found
===>   py27-pyfits-3.1.2 depends on file:
/usr/local/bin/easy_install-2.7 - found
===>   py27-pyfits-3.1.2 depends on file: /usr/local/bin/python2.7 - found
===>  Configuring for py27-pyfits-3.1.2
Download error on http://pypi.python.org/simple/stsci.distutils/:
[Errno 8] hostname nor servname provided, or not known -- Some
packages may not be found!
Download error on http://pypi.python.org/simple/stsci.distutils/:
[Errno 8] hostname nor servname provided, or not known -- Some
packages may not be found!
Couldn't find index page for 'stsci.distutils' (maybe misspelled?)
Download error on http://pypi.python.org/simple/: [Errno 8] hostname
nor servname provided, or not known -- Some packages may not be found!
No local packages or download links found for stsci.distutils>=0.3
Traceback (most recent call last):
  File "setup.py", line 15, in <module>
    zip_safe=False
  File "/usr/local/lib/python2.7/distutils/core.py", line 112, in setup
    _setup_distribution = dist = klass(attrs)
  File "build/bdist.freebsd-10.0-CURRENT-amd64/egg/setuptools/dist.py",
line 221, in __init__
  File "build/bdist.freebsd-10.0-CURRENT-amd64/egg/setuptools/dist.py",
line 245, in fetch_build_eggs
  File "build/bdist.freebsd-10.0-CURRENT-amd64/egg/pkg_resources.py",
line 586, in resolve
  File "build/bdist.freebsd-10.0-CURRENT-amd64/egg/pkg_resources.py",
line 831, in best_match
  File "build/bdist.freebsd-10.0-CURRENT-amd64/egg/pkg_resources.py",
line 843, in obtain
  File "build/bdist.freebsd-10.0-CURRENT-amd64/egg/setuptools/dist.py",
line 295, in fetch_build_egg
  File "build/bdist.freebsd-10.0-CURRENT-amd64/egg/setuptools/command/easy_install.py",
line 592, in easy_install
distutils.errors.DistutilsError: Could not find suitable distribution
for Requirement.parse('stsci.distutils>=0.3')
*** Error code 1

Stop.
make: stopped in /a/ports/astro/py-pyfits
================================================================
build of /usr/ports/astro/py-pyfits ended at Tue Aug  6 07:46:49 UTC 2013
Comment 7 William Grzybowski freebsd_committer 2013-11-06 14:41:45 UTC
Responsible Changed
From-To: freebsd-python->wg

I'll take it.
Comment 8 William Grzybowski freebsd_committer 2013-11-06 14:42:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 9 dfilter service freebsd_committer 2013-11-06 14:42:10 UTC
Author: wg
Date: Wed Nov  6 14:42:02 2013
New Revision: 332995
URL: http://svnweb.freebsd.org/changeset/ports/332995

Log:
  astro/py-pyfits: update to 3.1.2
  
  - Update to 3.1.2 [1]
  - Adjust run depends
  - Use python auto plist
  
  PR:		ports/180464 [1]
  Submitted by:	nwhitehorn
  Approved by:	maintainer

Deleted:
  head/astro/py-pyfits/pkg-plist
Modified:
  head/astro/py-pyfits/Makefile
  head/astro/py-pyfits/distinfo

Modified: head/astro/py-pyfits/Makefile
==============================================================================
--- head/astro/py-pyfits/Makefile	Wed Nov  6 14:31:14 2013	(r332994)
+++ head/astro/py-pyfits/Makefile	Wed Nov  6 14:42:02 2013	(r332995)
@@ -2,20 +2,24 @@
 # $FreeBSD$
 
 PORTNAME=	pyfits
-PORTVERSION=	2.3
-PORTREVISION=	1
+PORTVERSION=	3.1.2
 CATEGORIES=	astro python
-MASTER_SITES=	http://www.stsci.edu/resources/software_hardware/${PORTNAME}/
+MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	tonymaher@optusnet.com.au
 COMMENT=	Python Interface to FITS Formatted Files
 
-BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/numpy/core/numeric.py:${PORTSDIR}/math/py-numpy
-RUN_DEPENDS:=	${BUILD_DEPENDS}
-NO_STAGE=	yes
+BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/numpy/core/numeric.py:${PORTSDIR}/math/py-numpy \
+		${PYTHON_PKGNAMEPREFIX}d2to1>=0:${PORTSDIR}/devel/py-d2to1 \
+		${PYTHON_PKGNAMEPREFIX}stsci.distutils>=0:${PORTSDIR}/devel/py-stsci.distutils
+RUN_DEPENDS=	${PYTHON_SITELIBDIR}/numpy/core/numeric.py:${PORTSDIR}/math/py-numpy \
+		${PYTHON_PKGNAMEPREFIX}d2to1>=0:${PORTSDIR}/devel/py-d2to1
 
 USE_PYTHON=	yes
-USE_PYDISTUTILS=	yes
+USE_PYDISTUTILS=	easy_install
+PYDISTUTILS_AUTOPLIST=	yes
+PYEASYINSTALL_ARCHDEP=	yes
+NO_STAGE=	yes
 
 .include <bsd.port.mk>

Modified: head/astro/py-pyfits/distinfo
==============================================================================
--- head/astro/py-pyfits/distinfo	Wed Nov  6 14:31:14 2013	(r332994)
+++ head/astro/py-pyfits/distinfo	Wed Nov  6 14:42:02 2013	(r332995)
@@ -1,2 +1,2 @@
-SHA256 (pyfits-2.3.tar.gz) = 29e32040ffe96a25336c599f4ca1e560a1bc7d3fdc22638911797525ed3c3208
-SIZE (pyfits-2.3.tar.gz) = 347960
+SHA256 (pyfits-3.1.2.tar.gz) = 35aaad59f37a46a06c8da37608de0e6448062cef49b06fa0bbd3f9a75dc99239
+SIZE (pyfits-3.1.2.tar.gz) = 794495
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"